Subject: Re: bug#33959: 26.1.90; python.el font-lock buffer wreaks havoc when company is enabled

From: Carlos Pita <[email-masked]>
Date: Wed, 16 Oct 2019 17:35:42 -0300

Hi Noam, I don't want to be insistent (and I'm probably being) but it
won't take much time for someone to complaint about [1] because it
removed the `(not (string= "" output))` guard from the original code.
As it is now, it's certainly buggy. I know it would be desirable to
provide an unit test for [1] but this new commit I'm providing can't
harm (remember it's just an "around advice": `(unless (string= output
"") ... )`) and I believe my argument against the way the empty output
condition was checked before is sound and simple enough. Thanks and
sorry for the insistence.

---

[1] 7acc621e3 (Fix python-shell font-lock cleanup for unclosed quotes
(Bug#32390))